Cancel keeps temporary text in editors
Closed, ResolvedPublic

Description

  1. Click "Edit description"
  2. Add or change the text in the editor
  3. Click "Cancel"
  4. Click "Edit description"
  5. The editor contains the text that was last entered instead of the current content of the description

Also applies to new topic and reply editors.

While keeping temporary work could be nice in some places is it misleading for editing information like the board description as it starts with the previously drafted content instead of the current content.

SBisson created this task.Aug 17 2015, 8:08 PM
SBisson updated the task description. (Show Details)
SBisson raised the priority of this task from to Needs Triage.
SBisson added a project: StructuredDiscussions.
SBisson added a subscriber: SBisson.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 17 2015, 8:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We decided that this is a feature for new things (new reply, new topic) but a bug for editing of existing things. When you edit something that already exists, cancel should not preserve your changes.

Catrope triaged this task as High priority.Aug 19 2015, 11:33 PM
Catrope set Security to None.
DannyH lowered the priority of this task from High to Normal.Aug 20 2015, 8:35 PM
DannyH moved this task from Untriaged to Near-Term Interest on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.

Change 235364 had a related patch set uploaded (by Mooeypoo):
Always refetch data editing description

https://gerrit.wikimedia.org/r/235364

Change 235364 merged by jenkins-bot:
Always refetch data editing description

https://gerrit.wikimedia.org/r/235364

Etonkovidova added a subscriber: Etonkovidova.EditedSep 1 2015, 11:02 PM

In betalabs:

Cancel and recommence - previous data displayed?
New topicNo
New postYes
New descriptionNo
New summaryNo
Edit titleNo
Edit postNo
Edit descriptionNo
Edit summaryNo

Change 235383 had a related patch set uploaded (by Mooeypoo):
Add a confirmation dialog for canceling edits

https://gerrit.wikimedia.org/r/235383

Change 235383 merged by jenkins-bot:
Add a confirmation dialog for canceling edits

https://gerrit.wikimedia.org/r/235383

DannyH closed this task as Resolved.Sep 3 2015, 4:34 PM